<html>
    <head>
        <title>Bucket List! - {% block pagetitle %}{% endblock %}</title>
        <link rel="stylesheet" type="text/css" href="{{url_for('static', filename='css/bootstrap.min.css')}}"/>
        <link rel="stylesheet" type="text/css" href="{{url_for('static', filename='css/global.css')}}"/>

        {% block cssimports %}
        {% endblock %}
    </head>
    <body>
        <nav class="navbar navbar-inverse navbar-fixed-top">
            <div class="container">
                <div class="navbar-header">
                    <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false" aria-controls="navbar">
                        <span class="sr-only">Toggle navigation</span>
                        <span class="icon-bar"></span>
                        <span class="icon-bar"></span>
                        <span class="icon-bar"></span>
                    </button>
                    <a class="navbar-brand" href="#">Bucket List</a>
                </div>
                <div id="navbar" class="collapse navbar-collapse">
                    <ul class="nav navbar-nav">
                        <li class="active"><a href="{{url_for('default.index')}}">Home</a></li>
                        {% if not session.username %}
                            <li><a href="{{url_for('default.login_page')}}">Login</a></li>
                            <li><a href="{{url_for('default.register')}}">Signup</a></li>
                        {% else %}
                            <li><a href="{{url_for('inventory.list_items')}}">Inventory</a></li>
                            <li><a href="{{url_for('cart.list_cart_items')}}">Cart</a></li>
                            <li><a href="{{url_for('default.logout_submit')}}">Logout</a></li>
                        {% endif %}
                    </ul>
                </div>
            </div>
        </nav>
        <div class="container">
            {% block content %}
            {% endblock %}
        </div>

        <script type="text/javascript" src="{{url_for('static', filename='js/jquery.min.js')}}"></script>
        <script type="text/javascript" src="{{url_for('static', filename='js/bootstrap.min.js')}}"></script>

        {% block jsimports %}
        {% endblock %}
    </body>
</html>